Loading...
Searching...
No Matches
Deserialization.h File Reference
`#include "Pipeline.h"`
`#include <istream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

Pipeline | Halide::deserialize_pipeline (const std::string &filename, const std::map< std::string, Parameter > &user_params)
| Deserialize a Halide pipeline from a file.
Pipeline | Halide::deserialize_pipeline (std::istream &in, const std::map< std::string, Parameter > &user_params)
| Deserialize a Halide pipeline from an input stream.
Pipeline | Halide::deserialize_pipeline (const std::vector< uint8_t > &data, const std::map< std::string, Parameter > &user_params)
| Deserialize a Halide pipeline from a byte buffer containing a serialized pipeline in binary format.
std::map< std::string, Parameter > | Halide::deserialize_parameters (const std::string &filename)
| Deserialize the external parameters for the Halide pipeline from a file.
std::map< std::string, Parameter > | Halide::deserialize_parameters (std::istream &in)
| Deserialize the external parameters for the Halide pipeline from input stream.
std::map< std::string, Parameter > | Halide::deserialize_parameters (const std::vector< uint8_t > &data)
| Deserialize the external parameters for the Halide pipeline from a byte buffer containing a serialized pipeline in binary format.